# PSF-LoginServer - master - net.psforever.types.LazeWaypoint
PSF - LoginServer - master - net.psforever.types.LazeWaypoint
Keywords: PSF LoginServer master net.psforever.types.LazeWaypoint

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

c

net.psforever.types

# LazeWaypoint

###

#### sealed case class LazeWaypoint(value: Int) extends SquadWaypoint with Product with Serializable

General waypoint produced by the Flail targeting laser (laze pointer) that is visible by all squad members for a short duration. Any squad member may place this waypoint. A laze waypoint is yellow, is indicated in the game world, on the proximity map, and on the continental map, and is designated by the number of the squad member that produced it. Only one laze waypoint may be made visible from any one squad member at any given time, overwritten when replaced. When viewed by a squad member seated in a Flail, the waypoint includes an elevation reticle for aiming purposes. YMMV.

value

  the index of the waypoint can be any number five and above

Source
  SquadWaypoints.scala
See also

  `SquadWaypointEvent`

  `SquadWaypointRequest`

Linear Supertypes
Serializable, Product, Equals, SquadWaypoint, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LazeWaypoint
2. Serializable
3. Product
4. Equals
5. SquadWaypoint
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LazeWaypoint(value: Int)

   value

     the index of the waypoint can be any number five and above

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
8.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
12.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  def productElementNames: Iterator[String]
    Definition Classes
      Product
14.  def subtype: WaypointSubtype.Value

    the distinction of this kind of waypoint

    the distinction of this kind of waypoint

    Definition Classes
      LazeWaypoint → SquadWaypoint
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  val value: Int

    the index of this kind of waypoint

    the index of this kind of waypoint

    Definition Classes
      LazeWaypoint → SquadWaypoint
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from SquadWaypoint

### Inherited from AnyRef

### Inherited from Any

### Ungrouped